config:
  nexus:
    namespace: "{{ platform.prefix }}-nexus"
    fqdn: nexus.{{ platform.domain }}
    api_fqdn: nexus-api.{{ platform.domain }}
    tls_secret_name: nexus-tls
    redis:
      master:
        persistence:
          enabled: false
    image: 
      tag: "3.40.1-1.0" # same as the current release 

charts:
  # https://github.com/sonatype/helm3-charts
  nexus:
    name: nexus-repository-manager
    version: 40.1.0
    owner: sonatype
    repo: https://sonatype.github.io/helm3-charts/

  redis:
    name: redis
    version: 16.8.5
    owner: bitnami
    repo: https://charts.bitnami.com/bitnami

  oauth2_proxy:
    name: oauth2-proxy
    version: 3.2.5
    owner: stable
    repo: https://charts.helm.sh/stable

deployments:
  flytreeleft_plugin:
    repo: flytreeleft/nexus3-keycloak-plugin
    version: 0.5.0

  # https://help.sonatype.com/repomanager3/release-notes
  # Please update Dockerfile as it does not use the setting below
  nexus3:
    repo: sonatype/docker-nexus3
    version: 3.41.0
